tigase.server

## Class BasicComponent.ServerInfoVHostItemExtension

- java.lang.Object
- - tigase.vhosts.VHostItemExtension<T>
  - - tigase.vhosts.AbstractVHostItemExtension<BasicComponent.ServerInfoVHostItemExtension>
    - - tigase.server.BasicComponent.ServerInfoVHostItemExtension

- All Implemented Interfaces:
    VHostItemExtensionIfc<BasicComponent.ServerInfoVHostItemExtension>
  Enclosing class:
    BasicComponent

      public static class BasicComponent.ServerInfoVHostItemExtension
      extends AbstractVHostItemExtension<BasicComponent.ServerInfoVHostItemExtension>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BasicComponent.ServerInfoVHostItemExtension.ServerInfoVHostItemExtensionProvider`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerInfoVHostItemExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommandFields(String prefix, Packet packet, boolean forDefault)`
    `List<String>` | `getAbuseAddresses()`
    `List<String>` | `getAdminAddresses()`
    `List<String>` | `getFeedbackAddresses()`
    `String` | `getId()`
    `List<String>` | `getSalesAddresses()`
    `List<String>` | `getSecurityAddresses()`
    `List<String>` | `getSupportAddresses()`
    `void` | `initFromCommand(String prefix, Packet packet)`
    `void` | `initFromElement(Element item)`
    `BasicComponent.ServerInfoVHostItemExtension` | `mergeWithDefaults(BasicComponent.ServerInfoVHostItemExtension defaults)`
    `String` | `toDebugString()`
    `Element` | `toElement()`

    - ### Methods inherited from class tigase.vhosts.AbstractVHostItemExtension

      `addBooleanFieldWithDefaultToCommand`

    - ### Methods inherited from class tigase.vhosts.VHostItemExtension

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerInfoVHostItemExtension

          public ServerInfoVHostItemExtension()

  - ### Method Detail

    - #### getAbuseAddresses

          public List<String> getAbuseAddresses()

    - #### getAdminAddresses

          public List<String> getAdminAddresses()

    - #### getFeedbackAddresses

          public List<String> getFeedbackAddresses()

    - #### getSalesAddresses

          public List<String> getSalesAddresses()

    - #### getSecurityAddresses

          public List<String> getSecurityAddresses()

    - #### getSupportAddresses

          public List<String> getSupportAddresses()

    - #### getId

          public String getId()

    - #### initFromElement

          public void initFromElement(Element item)

    - #### initFromCommand

          public void initFromCommand(String prefix,
                                      Packet packet)
                               throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### toDebugString

          public String toDebugString()

    - #### toElement

          public Element toElement()

    - #### addCommandFields

          public void addCommandFields(String prefix,
                                       Packet packet,
                                       boolean forDefault)

    - #### mergeWithDefaults

          public BasicComponent.ServerInfoVHostItemExtension mergeWithDefaults(BasicComponent.ServerInfoVHostItemExtension defaults)

      Specified by:
        `mergeWithDefaults` in class `VHostItemExtension<BasicComponent.ServerInfoVHostItemExtension>`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.